> For the complete documentation index, see [llms.txt](https://docs.milksrota.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.milksrota.com.br/espanol/milks-rota/itinerario/baixar-itinerario.md).

# Leer itinerário

> ## Método POST
>
> <http://app.milksrota.com.br/api/retaguardasync/readItinerario>

## Enviar solicitud al servidor

### Datos&#x20;

```javascript
{
    "conta_id": "DDDDD",
    "token": "XXXX-XXXX-XXXX-XXXX",
    "doc": "99.999.999/9999-99"
}
```

{% hint style="info" %}
**conta\_id**: Se debe informar el ID de cuenta que encuentra en la pantalla "Su cuenta" en el menú principal del panel de Milk's Rota.

**token**: Se debe informar el Token de la cuenta, el cual puedes encontrar en la pantalla "Su cuenta" en el menú principal del panel de Milk's Rota.

**doc:** Se debe informar el RUC de la cuenta registrada. Se puede encontrar en la pantalla "Su cuenta" en el menú principal del tablero de Milk's Rota.
{% endhint %}

## Respuesta

### 200: Registros ubicados

```javascript
{
    "success": true,
    "message": "OK",
    "data": [
        {
            "id": "3224907",
            "fazenda_id": "49131",
            "linha_id": "2806",
            "conta_id": "356637",
            "origin_id": null,
            "dt_pull": null,
            "dt_push": "2019-11-11 09:15:11",
            "ordem": "4",
            "deleted": "0",
            "codigo": "00021-15058-01",
            "horario": "07:00",
            "coleta_seletiva": "0",
            "dt_inclusao": null,
            "tanque_id": "40730",
            "programacao": null,
            "dt_vigencia_inicio": "2019-06-12 05:02:11",
            "dt_vigencia_fim": "2029-06-12 05:02:11",
            "dt_exclusao": null,
            "codigo_programacao": "0",
            "fazenda": "34230556",
            "tanque": "15058-01/1",
            "linha": "00021"
        },
        {
            "id": "3224908",
            "fazenda_id": "290624",
            "linha_id": "2806",
            "conta_id": "356637",
            "origin_id": null,
            "dt_pull": null,
            "dt_push": "2019-06-12 19:25:48",
            "ordem": "12",
            "deleted": "0",
            "codigo": "00021-15086-01",
            "horario": null,
            "coleta_seletiva": "0",
            "dt_inclusao": null,
            "tanque_id": "39107",
            "programacao": null,
            "dt_vigencia_inicio": "2019-06-12 05:02:11",
            "dt_vigencia_fim": "2029-06-12 05:02:11",
            "dt_exclusao": null,
            "codigo_programacao": "0",
            "fazenda": "18183255",
            "tanque": "15086-01/1",
            "linha": "00021"
        }
    ],
    "monitor.time": 0.953477144241
}
```

{% hint style="success" %}
Se devolvieron con éxito los registros de los itinerarios registrados en la plataforma de Milk's.
{% endhint %}

### 404: Cuenta no encontrada

```javascript
{    
    "success": false,
    "message": "Conta não localizada",
    "data": [],
    "monitor.time": 2.14737200737 // Tiempo de ejecución
}
```

{% hint style="danger" %}
**Que significa eso?** Significa que la identificación de la cuenta no se encontró en la Plataforma de Milk's.
{% endhint %}

### 403: Token no valido

```javascript
{
    "success": false,
    "message": "Token inválido",
    "data": [],
    "monitor.time": 2.14737200737 // Tiempo de ejecución
}
```

{% hint style="danger" %}
**Que significa eso?** Significa que el token informado en la solicitud no corresponde al token registrado para la cuenta.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.milksrota.com.br/espanol/milks-rota/itinerario/baixar-itinerario.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
